# class Blather::MUC::Owner::Destroy

<iq from='crone1@shakespeare.lit/desktop'

      id='begone'
      to='heath@chat.shakespeare.lit'
      type='set'>
    <query xmlns='http://jabber.org/protocol/muc#owner'>
      <destroy jid='darkcave@chat.shakespeare.lit'>
        <reason>Macbeth doth come.</reason>
      </destroy>
    </query>

</iq>

### Public Class Methods

new(*args) click to toggle source
Calls superclass method `Blather::MUC::Owner::new`

    # File lib/gxg/net_clients.rb, line 366
    def self.new(*args)
      query = super(:set, *args)
      query.create_destroy
      query
    end

### Public Instance Methods

create_destroy() click to toggle source

    # File lib/gxg/net_clients.rb, line 384
    def create_destroy # @private
      unless create_destroy = query.find_first('ns:destroy', :ns => self.class.registered_ns)
        query << (create_destroy = XMPPNode.new('destroy', self.document))
      end
      create_destroy
    end

create_reason() click to toggle source

    # File lib/gxg/net_clients.rb, line 377
    def create_reason # @private
      unless create_reason = create_destroy.find_first('ns:reason', :ns => self.class.registered_ns)
        create_destroy << (create_reason = XMPPNode.new('reason', self.document))
      end
      create_reason
    end

reason=(reason) click to toggle source

    # File lib/gxg/net_clients.rb, line 372
    def reason=(reason)
      return if reason.blank?
      create_reason.content = reason
    end